[Risolto] Problema con WorldEdit

Quando uso il comando "/set (id oggetto)" dopo aver selezionato l'area mi da questo errore:

"java.lang.NoSuchMethodError:
http://com.google.common.base.Objects.firstNonNull(Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;"

e nella console mi appare questo:

"[15:26:32 INFO]: IGieckI issued server command: //set 0
[15:26:32 ERROR]: [WorldEdit] An unexpected error while handling a WorldEdit command
java.lang.NoSuchMethodError: com.google.common.base.Objects.firstNonNull(Ljava/lang/Object;Ljava/lang/ObjectWinkLjava/lang/Object;
at com.sk89q.worldedit.function.factory.Apply.createFromContext(Apply.java:51) ~[worldedit-bukkit-6.1.5.jar:?]
at com.sk89q.worldedit.function.factory.Apply.createFromContext(Apply.java:33) ~[worldedit-bukkit-6.1.5.jar:?]
at com.sk89q.worldedit.command.composition.SelectionCommand.call(SelectionCommand.java:83) ~[worldedit-bukkit-6.1.5.jar:?]
at com.sk89q.worldedit.command.composition.SelectionCommand.call(SelectionCommand.java:46) ~[worldedit-bukkit-6.1.5.jar:?]
at com.sk89q.worldedit.util.command.composition.LegacyCommandAdapter.call(LegacyCommandAdapter.java:52) ~[worldedit-bukkit-6.1.5.jar:?]
at com.sk89q.worldedit.util.command.SimpleDispatcher.call(SimpleDispatcher.java:125) ~[worldedit-bukkit-6.1.5.jar:?]
at com.sk89q.worldedit.extension.platform.CommandManager.handleCommand(CommandManager.java:248) [worldedit-bukkit-6.1.5.jar:?]
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.8.0_131]
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source) ~[?:1.8.0_131]
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source) ~[?:1.8.0_131]
at java.lang.reflect.Method.invoke(Unknown Source) ~[?:1.8.0_131]
at com.sk89q.worldedit.util.eventbus.MethodEventHandler.dispatch(MethodEventHandler.java:58) [worldedit-bukkit-6.1.5.jar:?]
at com.sk89q.worldedit.util.eventbus.EventHandler.handleEvent(EventHandler.java:73) [worldedit-bukkit-6.1.5.jar:?]
at com.sk89q.worldedit.util.eventbus.EventBus.dispatch(EventBus.java:187) [worldedit-bukkit-6.1.5.jar:?]
at com.sk89q.worldedit.util.eventbus.EventBus.post(EventBus.java:173) [worldedit-bukkit-6.1.5.jar:?]
at com.sk89q.worldedit.bukkit.WorldEditPlugin.onCommand(WorldEditPlugin.java:247) [worldedit-bukkit-6.1.5.jar:?]
at com.sk89q.bukkit.util.DynamicPluginCommand.execute(DynamicPluginCommand.java:54) [worldedit-bukkit-6.1.5.jar:?]
at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) [spigot.jar:git-Spigot-ac83d69-fe3ca95]
at org.bukkit.craftbukkit.v1_12_R1.CraftServer.dispatchCommand(CraftServer.java:644) [spigot.jar:git-Spigot-ac83d69-fe3ca95]
at net.minecraft.server.v1_12_R1.PlayerConnection.handleCommand(PlayerConnection.java:1385) [spigot.jar:git-Spigot-ac83d69-fe3ca95]
at net.minecraft.server.v1_12_R1.PlayerConnection.a(PlayerConnection.java:1220) [spigot.jar:git-Spigot-ac83d69-fe3ca95]
at net.minecraft.server.v1_12_R1.PacketPlayInChat.a(PacketPlayInChat.java:45) [spigot.jar:git-Spigot-ac83d69-fe3ca95]
at net.minecraft.server.v1_12_R1.PacketPlayInChat.a(PacketPlayInChat.java:1) [spigot.jar:git-Spigot-ac83d69-fe3ca95]
at net.minecraft.server.v1_12_R1.PlayerConnectionUtils$1.run(SourceFile:13) [spigot.jar:git-Spigot-ac83d69-fe3ca95]
at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source) [?:1.8.0_131]
at java.util.concurrent.FutureTask.run(Unknown Source) [?:1.8.0_131]
at net.minecraft.server.v1_12_R1.SystemUtils.a(SourceFile:46) [spigot.jar:git-Spigot-ac83d69-fe3ca95]
at net.minecraft.server.v1_12_R1.MinecraftServer.D(MinecraftServer.java:747) [spigot.jar:git-Spigot-ac83d69-fe3ca95]
at net.minecraft.server.v1_12_R1.DedicatedServer.D(DedicatedServer.java:405) [spigot.jar:git-Spigot-ac83d69-fe3ca95]
at net.minecraft.server.v1_12_R1.MinecraftServer.C(MinecraftServer.java:678) [spigot.jar:git-Spigot-ac83d69-fe3ca95]
at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:576) [spigot.jar:git-Spigot-ac83d69-fe3ca95]
at java.lang.Thread.run(Unknown Source) [?:1.8.0_131]"


Come posso risolverlo?
Solo con quel comando?
Prova a reinstallare WorldEdit.
Ricorda di lasciarmi un punto Rep [Immagine: IM8d6tb.png] ed un Like [Immagine: 7vpDvBC.png]!

[Immagine: a.php?i=2&h=Ti+serve+aiuto%3F&t=Puoi+contattarmi%21]
08/06/2017, 14:42EdwardTheKnight ha scritto: Solo con quel comando?
Prova a reinstallare WorldEdit.

si solo con quel comando ho anche provato a reinstallarlo alla versione più recente ma da comunque l'errore
Ne abbiamo già parlato ieri.
WorldEdit non è compatibile con la 1.12, al momento.


Segui QUESTA discussione. Chiudo.
Se ti sono stato d'aiuto, mi offriresti una birra?
[Immagine: MnksU9y.png]

Rip Maxcraft
Discussioni simili
Risposta di AntoLuMeju99
ieri, 13:16
Risposta di IRROS
27/11/2018, 15:42
 
Risposta di peppe0400
16/10/2018, 20:56
Risposta di Sk3py
14/09/2018, 14:08
Risposta di EdwardTheKnight
05/09/2018, 10:46

Utente(i) che stanno guardando questa discussione: 1 Ospite(i)